<script setup lang="ts">
import '../../assets/main.css';

interface Props {
  uniqueKey?: string;
}
const props = withDefaults(defineProps<Props>(), {
  uniqueKey: 'default'
});
</script>

<template>
  <div :key="props.uniqueKey" class="flex flex-col items-center bg-sdg-background-light-grey p-4 w-full max-w-7xl">
    <div class="flex flex-col items-center m-4 text-xl text-black">
      <slot name="title"></slot>
    </div>
    <div class="w-full h-full bg-white m-4" style="position: relative">
      <div class="w-full h-full border-solid rounded-2xl p-4 relative">
        <div class="z-1 w-full h-full absolute">
          <slot name="effect"></slot>
        </div>
        <div class="z-2 bg-transparent w-full relative">
          <slot name="data"></slot>
          <div class="flex flex-col items-center">
            <div id="positioned-effect-location" class="z-10 relative"></div>
          </div>
        </div>
        <div class="z-2 bg-transparent w-full relative">
          <slot name="answer"></slot>
        </div>
      </div>
    </div>
  </div>
</template>
